Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510285 - Please obsolete old geoclue
Summary: Please obsolete old geoclue
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 06:25 UTC by Lubomir Rintel
Modified: 2017-12-05 13:38 UTC (History)
3 users (show)

Fixed In Version: geoclue2-2.4.7-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-05 13:38:38 UTC


Attachments (Terms of Use)

Description Lubomir Rintel 2017-11-07 06:25:06 UTC
Hi,

despite geoclue2 replaces geoclue, the old package still remains installed and that is going to cause trouble when deprecating the libraries it depends on (libnm-glib in particular).

We need to get rid of the geoclue-0.12.99-9.fc24 packages that remains installed on existing systems.

One way to do that would be to add an obsolete to this package:

  Obsoletes: geoclue <= 0.12.99-9

Please consider doing that. The other alternative is obsoleting it by fedora-obsolete-packages, but doing so from geoclue2 sounds saner.

Thank you
Lubo

Comment 1 Fedora End Of Life 2017-11-16 18:59:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Lubomir Rintel 2017-11-29 18:09:26 UTC
Filed a PR: https://src.fedoraproject.org/rpms/geoclue2/pull-request/1

Comment 3 Kalev Lember 2017-12-05 13:38:38 UTC
Thanks, merged.


Note You need to log in before you can comment on or make changes to this bug.